Locator2Impl (Java Platform SE 8 )
Keywords: org.xml.sax.ext.Locator2Impl class
Date: 2026-03-29

compact2, compact3
org.xml.sax.ext

## Class Locator2Impl

- java.lang.Object
- - org.xml.sax.helpers.LocatorImpl
  - - org.xml.sax.ext.Locator2Impl

- All Implemented Interfaces:
    Locator2, Locator

      public class Locator2Impl
      extends LocatorImpl
      implements Locator2

  SAX2 extension helper for holding additional Entity information, implementing the `Locator2` interface.

  > This module, both source code and documentation, is in the Public Domain, and comes with NO WARRANTY.

  This is not part of core-only SAX2 distributions.

  Since:
    SAX 2.0.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Locator2Impl()` Construct a new, empty Locator2Impl object.
    `Locator2Impl(Locator locator)` Copy an existing Locator or Locator2 object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEncoding()` Returns the current value of the encoding property.
    `String` | `getXMLVersion()` Returns the current value of the version property.
    `void` | `setEncoding(String encoding)` Assigns the current value of the encoding property.
    `void` | `setXMLVersion(String version)` Assigns the current value of the version property.

    - ### Methods inherited from class org.xml.sax.helpers.LocatorImpl

      `getColumnNumber, getLineNumber, getPublicId, getSystemId, setColumnNumber, setLineNumber, setPublicId, setSystemId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.xml.sax.Locator

      `getColumnNumber, getLineNumber, getPublicId, getSystemId`

- - ### Constructor Detail

    - #### Locator2Impl

          public Locator2Impl()

      Construct a new, empty Locator2Impl object. This will not normally be useful, since the main purpose of this class is to make a snapshot of an existing Locator.

    - #### Locator2Impl

          public Locator2Impl(Locator locator)

      Copy an existing Locator or Locator2 object. If the object implements Locator2, values of the encoding and versionstrings are copied, otherwise they set to null.
      Parameters:
        `locator` - The existing Locator object.

  - ### Method Detail

    - #### getXMLVersion

          public String getXMLVersion()

      Returns the current value of the version property.
      Specified by:
        `getXMLVersion` in interface `Locator2`
      Returns:
        Identifier for the XML version being used to interpret the entity's text, or null if that information is not yet available in the current parsing state.
      See Also:
        `setXMLVersion(java.lang.String)`

    - #### getEncoding

          public String getEncoding()

      Returns the current value of the encoding property.
      Specified by:
        `getEncoding` in interface `Locator2`
      Returns:
        Name of the character encoding being used to interpret * the entity's text, or null if this was not provided for a * character stream passed through an InputSource or is otherwise not yet available in the current parsing state.
      See Also:
        `setEncoding(java.lang.String)`

    - #### setXMLVersion

          public void setXMLVersion(String version)

      Assigns the current value of the version property.
      Parameters:
        `version` - the new "version" value
      See Also:
        `getXMLVersion()`

    - #### setEncoding

          public void setEncoding(String encoding)

      Assigns the current value of the encoding property.
      Parameters:
        `encoding` - the new "encoding" value
      See Also:
        `getEncoding()`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.